<?php
/**
* @package phpBB Extension - ACP Styled
* @copyright (c) 2024 Sniper_E - https://www.sniper-e.net
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*/

namespace sniper\acpstyled\acp;

class acp_acpstyled_module
{
	public $u_action;
	function main($id, $mode)
	{
		global $phpbb_container, $user;
		// Add the ACP lang file
		$user->add_lang_ext('sniper/acpstyled', 'acp_acpstyled');
		// Get an instance of the admin controller
		$admin_controller = $phpbb_container->get('sniper.acpstyled.admin.controller');
		// Make the $u_action url available in the admin controller
		$admin_controller->set_page_url($this->u_action);
		switch ($mode)
		{
			case 'config':
				// Load a template from adm/style for our ACP page
				$this->tpl_name = 'acp_acpstyled_config';
				// Set the page title for our ACP page
				$this->page_title = $user->lang['ACP_ACPSTYLED_CONFIG_SETTINGS'];
				// Load the display options handle in the admin controller
				$admin_controller->display_options();
			break;
		}
	}
}
